OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGI.ColorTable

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIColorTable :: MonadIO m => m Bool
- gl_SGI_color_table :: Bool
- pattern GL_COLOR_TABLE_ALPHA_SIZE_SGI :: GLenum
- pattern GL_COLOR_TABLE_BIAS_SGI :: GLenum
- pattern GL_COLOR_TABLE_BLUE_SIZE_SGI :: GLenum
- pattern GL_COLOR_TABLE_FORMAT_SGI :: GLenum
- pattern GL_COLOR_TABLE_GREEN_SIZE_SGI :: GLenum
- pattern GL_COLOR_TABLE_INTENSITY_SIZE_SGI :: GLenum
- pattern GL_COLOR_TABLE_LUMINANCE_SIZE_SGI :: GLenum
- pattern GL_COLOR_TABLE_RED_SIZE_SGI :: GLenum
- pattern GL_COLOR_TABLE_SCALE_SGI :: GLenum
- pattern GL_COLOR_TABLE_SGI :: GLenum
- pattern GL_COLOR_TABLE_WIDTH_SGI :: GLenum
- pattern GL_POST_COLOR_MATRIX_COLOR_TABLE_SGI :: GLenum
- pattern GL_POST_CONVOLUTION_COLOR_TABLE_SGI :: GLenum
- pattern GL_PROXY_COLOR_TABLE_SGI :: GLenum
- pattern GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI :: GLenum
- pattern GL_PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI :: GLenum
- glColorTableParameterfvSGI :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glColorTableParameterivSGI :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glColorTableSGI :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glCopyColorTableSGI :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> m ()
- glGetColorTableParameterfvSGI :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetColorTableParameterivSGI :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetColorTableSGI :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetSGIColorTable :: MonadIO m => m Bool Source #

Is the SGI_color_table extension supported?

gl_SGI_color_table :: Bool Source #

Is the SGI_color_table extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIColorTable` in those cases instead.

# Enums

pattern GL_COLOR_TABLE_ALPHA_SIZE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_BIAS_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_BLUE_SIZE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_FORMAT_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_GREEN_SIZE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_INTENSITY_SIZE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_LUMINANCE_SIZE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_RED_SIZE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_SCALE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_SGI :: GLenum Source #

pattern GL_COLOR_TABLE_WIDTH_SGI :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_COLOR_TABLE_SGI :: GLenum Source #

pattern GL_POST_CONVOLUTION_COLOR_TABLE_SGI :: GLenum Source #

pattern GL_PROXY_COLOR_TABLE_SGI :: GLenum Source #

pattern GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI :: GLenum Source #

pattern GL_PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI :: GLenum Source #

# Functions

glColorTableParameterfvSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `pname` of type ColorTableParameterPNameSGI.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

This command is an alias for `glColorTableParameterfv`.

glColorTableParameterivSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `pname` of type ColorTableParameterPNameSGI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

This command is an alias for `glColorTableParameteriv`.

glColorTableSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

This command is an alias for `glColorTable`.

glCopyColorTableSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

This command is an alias for `glCopyColorTable`.

glGetColorTableParameterfvSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `pname` of type GetColorTableParameterPNameSGI.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetColorTableParameterivSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `pname` of type GetColorTableParameterPNameSGI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetColorTableSGI Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTargetSGI.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |